Bug 18447 - [FO31] Formatting numbers in scientific notation
[FO31] Formatting numbers in scientific notation
Status: CLOSED FIXED
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: Functions and Operators 3.1
Last Call drafts
PC All
: P2 normal
: ---
Assigned To: Michael Kay
Mailing list for public feedback on specs from XSL and XML Query WGs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 09:37 UTC by Michael Kay
Modified: 2014-04-29 17:15 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Kay 2012-07-31 09:37:44 UTC
There is a long-standing requirement for the ability to format floating point numbers in scientific notation. This appeared as a requirement for XSLT 2.0, but it has never been satisfied.

Note that the Java DecimalFormat class, on which format-number() is based, accepts pictures such as

0.###E0

to request scientific notation.
Comment 1 Jim Melton 2012-09-25 16:08:19 UTC
At their meeting of 2012-09-25, the Joint WGs agreed to make this a candidate requirement for F&O 3.1
Comment 2 Liam R E Quin 2012-10-30 15:51:10 UTC
Note: The WG agreed we will also need other data formats frequently found in Web applications, such as Unix/RFC timestamps, HTML 5 date/time for example.
Comment 3 Jonathan Robie 2013-01-08 17:00:20 UTC
Notes from meeting #523:

<quote>
Q2.9.20 Bugzilla Bug 18447, [XQ31ReqUC] Formatting numbers in 
scientific notation
See http://www.w3.org/Bugs/Public/show_bug.cgi?id=18447

Liam: may be wanted for json in practice along with Unix-format (RFC)
dates.
Mike Kay: if you take JSON use cases seriously, Web services and HTTP
headers will emerge.
Jonathan: when it emerges we can consider it.

scientific notation (read and write)
YES, scientific notation (required in JSON)
PLUS additional data types commonly used in JavaScript.
</quote>
Comment 4 Jonathan Robie 2013-02-06 09:38:27 UTC
This will be a MAY requirement.
Comment 5 Jim Melton 2013-07-30 18:38:22 UTC
This bug has been re-directed to the F&O 3.1 document, as the requirement has been accepted (as a MAY requirement).
Comment 6 Michael Kay 2014-04-29 17:14:42 UTC
The specification of format-number() in XPath 3.1 has been extended to satisfy this requirement. The bug entry is therefore being closed as resolved/fixed.